Jump to content

Photo

Character is showing -1 experience to next level


7 replies to this topic

#1 RadiantPersona

RadiantPersona
  • Members
  • 4 posts

Posted 14 March 2018 - 03:07 AM

I'm trying to import my character from BG1 to 2, both EE. I had BG tweaks installed and made a gnome shaman. BG1 played perfectly fine. When I go to import him in to 2, the next level experience shows negative 1. My spells and proficiencies and everything are working fine, however when I released Jaheria to see if experience could be gained my value didn't change. I imported him at level 9 with about 141,000 exp, so well below the level cap for BG1EE. 

 

I tried making a new gnome shaman, and it was seriously bugged. I didn't get to pick out spells and was showing 0/1 hp. I tried another new character as a gnome druid and it was perfectly fine, so I'm assuming it's something buggy with the shaman?? I cannot find any help anywhere and I would really like to transfer my character in, any help would be immensely appreciated!



#2 Jarno Mikkola

Jarno Mikkola

    The Imp

  • Modders
  • 6705 posts
  • Gender:Male
  • Location:The town where the dead haven't keeled over, yet. In Finland.

Posted 14 March 2018 - 04:28 AM

You might have to update your BG2EE, as the Shaman "class" came with the Siege of the Dragonspear DLC, it's not in the reqular BG2EE that has not been patched. The v2.5 beta patch should be available for you. If not, then you can't use your shaman as a standard class in your BG2EE game, so you can't go forward.
Also some mods won't be Shaman compatible for the reason mentioned earlier, as they were made before ...
Welcome to the sanity, you are free to search for the limit, it's out there, we drew it in the sand.
Here's how to install all the ... mods you ever really could want to Infinity Engine games. I removed the stable word from there as Roxanne began to add BS mods that are likely to break compatibility from the BWS.

#3 lynx

lynx
  • Modders
  • 3110 posts
  • Gender:Male
  • Location:Ljubljana, Slovenija

Posted 14 March 2018 - 07:26 AM

I have the shaman and not SOD, so it was definitely available sooner.


GemRB - IE anywhere.
Mages needed! Looking for Planescape: Torment testers
Market android version IS NOT SUPPORTED ANYMORE: reported bugs will be ignored! Still looking for builders ...

#4 RadiantPersona

RadiantPersona
  • Members
  • 4 posts

Posted 14 March 2018 - 02:48 PM

You might have to update your BG2EE, as the Shaman "class" came with the Siege of the Dragonspear DLC, it's not in the reqular BG2EE that has not been patched. The v2.5 beta patch should be available for you. If not, then you can't use your shaman as a standard class in your BG2EE game, so you can't go forward.
Also some mods won't be Shaman compatible for the reason mentioned earlier, as they were made before ...

I am currently updated to 2.3.67.3. The class worked perfectly fine in BG1ee which is why I'm so confused. I tried making a legal shamn character as well and the class is just completely broken in my game.

 

I just opted in for beta and updated to 2.5 and Shaman is still broken :( 


Edited by RadiantPersona, 14 March 2018 - 02:54 PM.


#5 Jarno Mikkola

Jarno Mikkola

    The Imp

  • Modders
  • 6705 posts
  • Gender:Male
  • Location:The town where the dead haven't keeled over, yet. In Finland.

Posted 14 March 2018 - 09:31 PM

I just opted in for beta and updated to 2.5 and Shaman is still broken :(

What did you do exactly in this ? You need to update the BG2EE to the v2.5 patch. Not the BG1EE, cause that would never solve the problem... and have you modified the BG2EE ?

Edited by Jarno Mikkola, 14 March 2018 - 09:31 PM.

Welcome to the sanity, you are free to search for the limit, it's out there, we drew it in the sand.
Here's how to install all the ... mods you ever really could want to Infinity Engine games. I removed the stable word from there as Roxanne began to add BS mods that are likely to break compatibility from the BWS.

#6 subtledoctor

subtledoctor
  • Modders
  • 2617 posts
  • Gender:Male

Posted 15 March 2018 - 09:01 AM

Check whether xplevel.2da has a row for the Shaman. A mod might have messed it up.

Faiths & Powers: Spell spheres and kit pack for priests and paladins
Might & Guile: Tweaks and kits for warriors and rogues
Scales of Balance: Game tweaks and rule overhauls
NPC_EE: More options for NPCs in BGEE, SoD, & BG2EE


#7 RadiantPersona

RadiantPersona
  • Members
  • 4 posts

Posted 16 March 2018 - 03:10 AM

Check whether xplevel.2da has a row for the Shaman. A mod might have messed it up.

So I looked, and for some reason had duplicates of all the xplevel.2da files, where one did have a row for the Shaman and the other did not. Deleted the duplicates (hope that's ok haha, I'm extremely inexperienced with this), and imported my save and it seems to be fixed! I can level up and play my game now! Thank you so much, I would have never figured that out!



#8 Jarno Mikkola

Jarno Mikkola

    The Imp

  • Modders
  • 6705 posts
  • Gender:Male
  • Location:The town where the dead haven't keeled over, yet. In Finland.

Posted 16 March 2018 - 04:06 AM

Check whether xplevel.2da has a row for the Shaman. A mod might have messed it up.

So I looked, and for some reason had duplicates of all the xplevel.2da files, where one did have a row for the Shaman and the other did not. Deleted the duplicates (hope that's ok haha, I'm extremely inexperienced with this), and imported my save and it seems to be fixed! I can level up and play my game now! Thank you so much, I would have never figured that out!

You had one in the override folder, that's the one you needed to delete... this is because you had modified the game, like I told above. When you did that, it restored the games original and thus allowed you to go forward. Yes, tha game has all the original .2da files saved in the data folder's .bif files ... yes those hold all the actual game files, mostly.
Welcome to the sanity, you are free to search for the limit, it's out there, we drew it in the sand.
Here's how to install all the ... mods you ever really could want to Infinity Engine games. I removed the stable word from there as Roxanne began to add BS mods that are likely to break compatibility from the BWS.



Reply to this topic



  


0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users